<?php 
	include('cap.php');
	include ('../../sg_cm/tinymce/plugins/filemanager/utils.php');
	$newwidth=260; //ширина уменьшенной копии картинки 
	$Reqst_URI=$_SERVER['REQUEST_URI'];
	
	$size_img_cat=80;
	$info="";
	
	$foto=file("../upload/gs_foto/db/id_foto/$_GET[id]");
	$count_foto = count($foto);
	if(isset($_POST['number_0'])){$is_border=0;
		for ($i=0; $i<$count_foto; $i++)
		{
			$foto[$i]=trim($foto[$i]);$foto_i_expl=explode('*:*',$foto[$i]);
			if (!is_numeric($_POST['number_'.$i]) ) $_POST['number_'.$i]='0';
			if ($_POST['number_'.$i]==0) $is_border++;
			$_POST['description_'.$i]=htmlspecialchars(strip_tags($_POST['description_'.$i]));
			$_POST['description_'.$i]=str_replace("\r\n","<BR />",$_POST['description_'.$i]);
			$_POST['title_'.$i]=htmlspecialchars(strip_tags($_POST['title_'.$i]));
			$foto[$i]=str_pad($_POST['number_'.$i], 4, '0', STR_PAD_LEFT).'*:*'.$foto_i_expl[1].'*:*'.$_POST['title_'.$i].'*:*'.$_POST['description_'.$i].'*:*'.$_POST['link_'.$i]."\r\n";
		}
		asort($foto);
		// foreach($foto as &$line) {$line=substr($line,7);}unset($line);
		file_put_contents("../upload/gs_foto/db/id_foto/$_GET[id]",implode('',$foto));
	}
	function is_foto_in_several_galleries ($foto,$counter){
		$result=0;
		$d=opendir("../upload/gs_foto/db/id_foto");
		while(($e=readdir($d))!=false)
		{
			if($e =="." || $e ==".." || $e==".htaccess") continue;
			$files[]=$e; // список файлов - id галерей
		}
		closedir($d);
		foreach ($files as $file) // открываем по очереди каждый файл-id галереи
		{
			$arr=file('../upload/gs_foto/db/id_foto/'.$file);
			foreach ($arr as $line){$line_arr=explode('*:*',$line);
				if ($foto==$line_arr[1]) {$counter+=1; 
					if ($counter>1) {$result=1; break(2);}
				} // если фото встретилось более 1 раза, то прекращаем искать и выдаем результат 1 - значит фото используется в галереях более 1 раза и удалять с диска его не надо 
			}
		}
		return $result;
	}
	function foto($foto)
	{ //$foto_arr=explode('*:*',$foto);$foto=$foto_arr[1];
		global $size_img_cat;
		$size_img=array();
		//Размер 
		if(is_file($foto))
		{ 
			$size_img=getimagesize($foto);
			
			$w_f=$size_img[0];
			$h_f=$size_img[1];
			if($size_img[0]>$size_img_cat)
			{
				$balans=$size_img[0]/$size_img_cat;
				if(round($balans)>=1)
				{
					$size_img[0]=round($size_img[0]/$balans);
					$size_img[1]=round($size_img[1]/$balans);
				}
				
			}
			if($size_img[1]>$size_img_cat)
			{
				$balans=$size_img[1]/$size_img_cat;
				if(round($balans)>=1)
				{
					$size_img[0]=round($size_img[0]/$balans);
					$size_img[1]=round($size_img[1]/$balans);
				}
			}
			
			
			echo "<img src=$foto width=$size_img[0] height=$size_img[1] style='vertical-align: middle; alt='фото'>";
			
		}
	}
	
	if(!isset($_GET['id']) || !isset($_GET['op']) || !file_exists("../upload/gs_foto/db/news/$_GET[id]") || ($_GET['op']!=1 && $_GET['op']!=2))
	{
		echo "<meta http-equiv=refresh content='0; url=admin2.php'>";
		exit();
	}
	
	if(!isset($_GET['c']) || !is_int(intval($_GET['c']))) $_GET['c']=1;
	if(!isset($_GET['ind'])) $_GET['ind']=1;
	if(!isset($_GET['page'])) $_GET['page']=1;
	
	$text=file("../upload/gs_foto/db/news/$_GET[id]");
	for($n=0;$n<count($text);$n++)$text[$n]=trim($text[$n]);
	
	if(isset($_POST['up']))
	{
		$arr_pos=file("../upload/gs_foto/db/id_foto/$_GET[id]");
		for($n=0;$n<count($arr_pos);$n++)$arr_pos[$n]=trim($arr_pos[$n]);
		//    $link=str_replace("&up=$_POST[up]","",$_SERVER['REQUEST_URI']);
		if(!is_int(intval($_POST['up'])) || $_POST['up']<=0 || ($_POST['up']+1) > count($arr_pos))
		{
			//      	  echo "<meta http-equiv=refresh content='0; url=$link'>";
			//         exit();
		}
		else
		{   $old=$arr_pos[$_POST['up']];
			$now=$arr_pos[$_POST['up']-1];
			$arr_pos[$_POST['up']]=$now;
			$arr_pos[$_POST['up']-1]=$old;
			
			$f=fopen("../upload/gs_foto/db/id_foto/$_GET[id]","w");
			foreach($arr_pos as $line) fwrite($f,$line."\r\n");
			fclose($f);
		}
		//    echo "<meta http-equiv=refresh content='0; url=$link'>";
		//   exit();
	}
	
	if(isset($_POST['down']))
	{
		$arr_pos=file("../upload/gs_foto/db/id_foto/$_GET[id]");
		for($n=0;$n<count($arr_pos);$n++)$arr_pos[$n]=trim($arr_pos[$n]);
		//    $link=str_replace("&down=$_GET[down]","",$_SERVER['REQUEST_URI']);
		if(!is_int(intval($_POST['down'])) || $_POST['down']<0 || ($_POST['down']+1) >= count($arr_pos) )
		{
			//       	 echo "<meta http-equiv=refresh content='0; url=$link'>";
			//         exit();
		}
		else {
			$old=$arr_pos[$_POST['down']];
			$now=$arr_pos[$_POST['down']+1];
			$arr_pos[$_POST['down']]=$now;
			$arr_pos[$_POST['down']+1]=$old;
			
			$f=fopen("../upload/gs_foto/db/id_foto/$_GET[id]","w");
			foreach($arr_pos as $line) fwrite($f,$line."\r\n");
			fclose($f);
		}
		//    echo "<meta http-equiv=refresh content='0; url=$link'>";
		//    exit();
	}
	if(isset($_GET['del_pic']) && $_GET['del_pic']='pict' && file_exists("../upload/gs_foto/pict/".$_GET['id'].".png"))
	{@unlink("../upload/gs_foto/pict/".$_GET['id'].".png");
		$link=str_replace("&del_pic=pict","",$_SERVER['REQUEST_URI']);
		echo "<meta http-equiv=refresh content='0; url=".$link."'>";
		exit();
	}
	
	if(isset($_GET['del']))
	{   if(strpos($_GET['del'],'/')===false && is_foto_in_several_galleries($_GET['del'],0)!=1){// физически удаляем картинку и ее миниатюру только если это картинка загруженная в галерею с компа и при этом она не используется более чем в одной галерее
		@unlink("../upload/gs_foto/".$_GET['del']);@unlink('../upload/gs_foto/'.str_replace(".","_thumb.",$_GET['del']));}
		$file=file("../upload/gs_foto/db/id_foto/".$_GET['id']);
		$f=fopen("../upload/gs_foto/db/id_foto/".$_GET['id'],"w");
		$counter=0;
		foreach($file as $line)
		{	
			$line=trim($line); $line_del=explode('*:*',$line);
			if($line_del[1]==$_GET['del']&&$counter<1){$counter+=1;continue;}
			fwrite($f,$line."\r\n");
		}
		fclose($f);
		
		$link=str_replace("&del=$_GET[del]","",$_SERVER['REQUEST_URI']);
		echo "<meta http-equiv=refresh content='0; url=".$link."'>";
		exit();
	}
	
	if(@$_FILES['foto_pic']['name']!="")
	{ 
		//Изображение ли это
		$imginfo = getimagesize($_FILES['foto_pic']['tmp_name']);
		if(substr($imginfo['mime'],0,5)!="image" )  {$info="ФАЙЛ ФОТО НЕ ЯВЛЯЕТСЯ ИЗОБРАЖЕНИЕМ!";}
		
		if($info=="")
		{
			$arr_type=array('gif','png','jpg','bmp','GIF','PNG','JPG','BMP');
			$type_file=explode(".",$_FILES['foto_pic']['name']);
			$type_file=$type_file[count($type_file)-1];
			if(!in_array($type_file,$arr_type))$info="ДЛЯ ЗАГРУЗКИ ФОТО РАЗРЕШЕНЫ ТИПЫ gif, png, jpg, bmp!";
		}
		
		if($info=="")
		{
			$name_foto_ext_pic='sg_pict.png'; @mkdir('../upload/gs_foto/pict');
			if(move_uploaded_file($_FILES['foto_pic']['tmp_name'],'../upload/gs_foto/pict/'.$_GET['id'].'.png'))
			{}
			else $info="<span style=\"color:red;\">ЗАГРУЗКА ФОТО НЕУДАЧНА!</span>";
		}
		
	} 
	
	
	$countUplFoto=0;
	if(count(@$_FILES['foto']['name'])) $countUplFoto=count($_FILES['foto']['name']);
	for($n=0;$n<$countUplFoto;$n++){
		if(@$_FILES['foto']['name'][$n]!="")
		{ 
            //Изображение ли это
			$imginfo = getimagesize($_FILES['foto']['tmp_name'][$n]);
			if(substr($imginfo['mime'],0,5)!="image" )  {$info="ФАЙЛ ФОТО НЕ ЯВЛЯЕТСЯ ИЗОБРАЖЕНИЕМ!";}
			
            if($info=="")
			{
				$arr_type=array('gif','png','jpg','bmp','GIF','PNG','JPG','BMP');
				$type_file=explode(".",$_FILES['foto']['name'][$n]);
				$type_file=$type_file[count($type_file)-1];
				if(!in_array($type_file,$arr_type))$info="ДЛЯ ЗАГРУЗКИ ФОТО РАЗРЕШЕНЫ ТИПЫ gif, png, jpg, bmp!";
			}
			
			if($info=="")
			{
				$name_foto=substr($_FILES['foto']['name'][$n],0,strrpos($_FILES['foto']['name'][$n],'.'));
				$inval=array('.',',','"',"'",';','>','<'); $name_foto=str_replace($inval,'_',$name_foto);
				if (!preg_match("/^[A-Za-z0-9_-]{2,50}$/",$name_foto)) {$name_foto=uniqid("img_"); }
				elseif (is_file("../upload/gs_foto/".$name_foto.'.'.$type_file)) {$name_foto=uniqid($name_foto."_"); }
				$name_foto_ext=$name_foto.'.'.$type_file;		   
				if(move_uploaded_file($_FILES['foto']['tmp_name'][$n],'../upload/gs_foto/'.$name_foto_ext))
				{
					$f=fopen("../upload/gs_foto/db/id_foto/$_GET[id]","a+");
					fwrite($f,'*:*'.$name_foto_ext.'*:*'.'*:*'."\r\n");
					fclose($f); 
					$newheight=$newwidth*$imginfo[1]/$imginfo[0];
					create_img_gd("../upload/gs_foto/".$name_foto_ext, "../upload/gs_foto/".$name_foto."_thumb.".$type_file, $newwidth,$newheight);
				}
				else $info="<span style=\"color:red;\">ЗАГРУЗКА ФОТО НЕУДАЧНА!</span>";
			}
			
		}
	}
	if(isset($_POST['foto_path'])){ $_POST['foto_path']=trim($_POST['foto_path']);
		$_POST['foto_path']=trim(ltrim($_POST['foto_path'],'/'));
		if(is_file('../../'.$_POST['foto_path'])) {
            //Изображение ли это 
			$imginfo = getimagesize("../../".$_POST['foto_path']);
			if(substr($imginfo['mime'],0,5)=="image" )  {
				$type_file=explode(".",$_POST['foto_path']);
				$type_file=$type_file[count($type_file)-1];
				$name_foto=substr($_POST['foto_path'],0,strrpos($_POST['foto_path'],'.'));
				$name_foto_ext=$name_foto.'.'.$type_file; 
				$f=fopen("../upload/gs_foto/db/id_foto/$_GET[id]","a+");
				if (trim(dirname($_POST['foto_path']),'/')=='sg_cm/upload/gs_foto')
				fwrite($f,'*:*'.basename($_POST['foto_path']).'*:*'.'*:*'."\r\n");
				else
				fwrite($f,'*:*'.$_POST['foto_path'].'*:*'.'*:*'."\r\n");
				fclose($f); 
				$newheight=$newwidth*$imginfo[1]/$imginfo[0];
				create_img_gd("../../".$_POST['foto_path'], "../../".$name_foto."_thumb.".$type_file, $newwidth,$newheight);
				
			}
			else $info="ФАЙЛ ФОТО НЕ ЯВЛЯЕТСЯ ИЗОБРАЖЕНИЕМ!";
		} }
		if(isset($_POST['name']))
		{
			//дата
			if(($_POST['day']>29 && $_POST['month']==2) || ($_POST['day']>30 && $_POST['month']==4) || ($_POST['day']>30 && $_POST['month']==6) ||
			($_POST['day']>30 && $_POST['month']==9) || ($_POST['day']>30 && $_POST['month']==11))  $info="Указанная дата некорректна!<br />";
			
			$_POST['name']=trim($_POST['name']);
			$_POST['name']=stripslashes($_POST['name']);
			
			
			//	 if (!preg_match("/^[A-Za-z0-9_-]{2,130}$/",$_POST['flname']) && $_POST['flname']!="") $info.="Неправильное имя альбома (только латинские буквы, цифры, подчеркивание,дефис, от 2 до 130 символов).<br/>" ;
			
			
			
			if($info=="")
			
			{ 
				$arr_date=getdate($text[0]);
				if($arr_date['year']==$_POST['year'] && $arr_date['mon']==$_POST['month'] && $arr_date['mday']==$_POST['day']) $date=$text[0];
				else  $date=mktime(date('H'),date('i'),date('s'),$_POST['month'],$_POST['day'],$_POST['year']);
				if(isset($_POST['cat']) && $_POST['cat']!="non") $news_cat=$_POST['cat'];
				else $news_cat="";
				$f=fopen("../upload/gs_foto/db/news/$_GET[id]","w+");
				fwrite($f,"$date\r\n$news_cat\r\n".$_POST['name']."\r\n".''."\r\n".'');
				fclose($f);
				if($news_cat!="" && $text[1]!=$news_cat )
				{
					$f=fopen("../upload/gs_foto/db/cat/$news_cat","a+");
					fwrite($f,"$_GET[id]\r\n");
					fclose($f);
				}
				
				if($text[1]!=$news_cat && $text[1]!="" )
				{
					$file=file("../upload/gs_foto/db/cat/$text[1]");
					$f=fopen("../upload/gs_foto/db/cat/$text[1]","w");
					foreach($file as $line)
					{
						$line=trim($line);
						if($line==$_GET['id']) continue;
						fwrite($f,$line."\r\n");
					}
					fclose($f);
				}
				
				
				
				// здесь код для переименования  ! 
				if(isset($_POST['flname'])&&$_POST['flname']!="")
				{
					
					//foto
					$file=file("../upload/gs_foto/db/id_foto/".$_GET['id']);
					
					rename("../upload/gs_foto/db/id_foto/".$_GET['id'], "../upload/gs_foto/db/id_foto/".$_POST['flname']);
					rename("../upload/gs_foto/pict/".$_GET['id'].".png","../upload/gs_foto/pict/".$_POST['flname'].".png");
					//статья
					rename("../upload/gs_foto/db/news/".$_GET['id'], "../upload/gs_foto/db/news/".$_POST['flname']);
					
					$Reqst_URI=str_replace("id=".$_GET['id'], "id=".$_POST['flname'], $Reqst_URI);
					
					//из категории
					if($news_cat!="")
					{
						$file=file("../upload/gs_foto/db/cat/$news_cat");
						$f=fopen("../upload/gs_foto/db/cat/$news_cat","w");
						foreach($file as $line)
						{
							$line=trim($line);
							if($line==$_GET['id']) $line=$_POST['flname'];
							fwrite($f,$line."\r\n");
						}
						fclose($f);
					}
					
					
					
				}
				echo "<meta http-equiv=refresh content='0; url=".$Reqst_URI."'>";
				exit();
				
			}
			
		}
		
		if($_GET['op']==1)
		{
			$text[3]=str_replace("<br>","\r\n",$text[3]);
			if(!isset($text[4])) $text[4]="";
			$text[4]=str_replace("<br>","\r\n",$text[4]);
			
			$date=getdate($text[0]);
			
			$arr_month=array("январь","февраль","март","апрель","май","июнь","июль","август","сентябрь","октябрь","ноябрь","декабрь");
			$cat=file("../upload/gs_foto/db/cat.txt");
			
			// 	 echo "<table id=info><tr><td><img src=img/inf.jpg  alt=Справка > </td> <td></tr> </table>";
			
			echo  "<form  method=post enctype='multipart/form-data'><table class=tab>";
			if($info!="") echo "<tr><td colspan=3><font style='color:red;'>$info</font></td></tr>";
			
			echo"<tr>
			<td class=valtop colspan=3>
			<div align=>
			<input type=button value=Назад name=back id=button2 onclick=\"document.location.href='admin2.php?c=$_GET[c]&page=$_GET[page]&ind=$_GET[ind]';\">&nbsp;&nbsp;&nbsp;<input type=submit value=Сохранить name=go id=button1>&nbsp;&nbsp;&nbsp;
			
			<input type=button value=\"Настройки\" name=add_cat id=button_add_cat onclick=\"return x5engine.imShowBox({ swipeImg: '../../sg_cm/sg_cm/res/imSwipe.png', closeImg: '../../sg_cm/sg_images/imClose.png', loadingImg: '../../sg_cm/sg_cm/res/imLoad.gif', startIndex: 0, media:[{type: 'iframe', url: 'admin3.php?id=$_GET[id]', width: 640, height: 600, description: ''}]}, 0, this);\">
			
			</div></td></tr>
			<tr><td>Заголовок<br />
			<input name=name type=text value='$text[2]' size=50><br /></td>";
			echo"<td>Дата<br />
			<select  name=day>";
			
			for($n=1;$n<32;$n++)
			{
				$sel="";
				if($date['mday']==$n)$sel='selected';
				echo "<option value=$n $sel>$n</option>";
			}
			
			echo"</select>&nbsp;&nbsp;";
			
			echo"<select  name=month>";
			for($n=0;$n<12;$n++)
			{
				$sel="";
				$c=$n+1;
				if($date['mon']==$c)$sel='selected';
				echo "<option value=$c $sel>".$arr_month[$n]."</option>";
			}
			
			echo"</select>&nbsp;&nbsp;";
			
			echo"<select  name=year>";
			for($n=1980;$n<2061;$n++)
			{
				$sel="";
				if($date['year']==$n)$sel='selected';
				echo "<option value=$n $sel>$n</option>";
			}
			
			echo"</select><br />
			</td><td></td></tr><tr><td>";
			
			if(count($cat))
			{
				echo "Категория<br /><select  name=cat>
				<option value=non $sel>Вне категорий</option>";
				
				foreach($cat as $line)
				{
					$sel='';
					$line=trim($line);
					$expl=explode("*",$line);
					if($expl[0]==$text[1])$sel='selected';if(!isset($expl[1]))$expl[1]='';
					echo "<option value=$expl[0] $sel>$expl[1]</option>";
				}
				echo "</select><br />";
			}
		?>
</td><td></td><td></td></tr>
<tr><td  class=valtop>
	Добавить фото<br /> <input name=foto[] type=file multiple="true">&nbsp;&nbsp;<br /><br />
	Добавить ссылку на фото <br /> <input title='Путь к фото от корня сайта' type=text value='' name='foto_path' size=50>&nbsp;&nbsp;<br />
	
</td>
<td  class=valtop>
	Добавить дополнительное изображение <br /> <input name=foto_pic type=file></td><td>
	<? if (is_file('../upload/gs_foto/pict/'.$_GET['id'].'.png')) {foto('../upload/gs_foto/pict/'.$_GET['id'].'.png');
		
	echo "&nbsp;&nbsp;&nbsp;&nbsp;<a onclick=\"return confirm('Вы хотите удалить это фото?')\" href=red.php?id=$_GET[id]&c=$_GET[c]&page=$_GET[page]&ind=$_GET[ind]&op=1&del_pic=pict><img style='vertical-align: middle;' src=img/del.png  alt=удалить title=удалить></a>";}
	?></td></tr>
</table>
<?php if (count($foto)){?>
	<table class="tab3">
		<tr>
			<th>Фото</th>
			<th>Заголовок</th>
			<th>Описание</th>
			<th>Гиперсылка</th>
			<th>Порядковый номер</th>
			<th>Позиция</th>
			<th>Удалить</th>
		</tr>
		<?  
			
			$n=0;
			foreach($foto as $line)
			{ $line2=explode('*:*',$line);
				foreach ($line2 as &$value) {
				$value = trim($value);}
				unset($value);if (!isset($line2[4]))$line2[4]='';
				if (file_exists('../upload/gs_foto/'.$line2[1])){
					echo"
					<tr><td> <a title='sg_cm/upload/gs_foto/$line2[1]' class=sg_gallery href='../upload/gs_foto/$line2[1]'>";
					if (file_exists('../upload/gs_foto/'.str_replace(".","_thumb.",$line2[1])))
					foto('../upload/gs_foto/'.str_replace('.','_thumb.',$line2[1])); 
					else  foto($line2[1]); 
				}
				elseif (file_exists('../../'.$line2[1])){
					echo"
					<tr><td><a title='".$line2[1]."' class=sg_gallery href='../../".$line2[1]."'>";
					if (file_exists('../../'.str_replace(".","_thumb.",$line2[1])))
					foto('../../'.str_replace('.','_thumb.',$line2[1])); 
					else  foto($line2[1]); 	
				}
				else  echo"
				<tr><td> <a   href=#>";
				$line2[3]=str_replace("<BR />","\r\n",$line2[3]);
				echo "</a></td>
				<td ><input type=text value='$line2[2]' name='title_$n' size=16></td>
				<td ><textarea name='description_$n' cols=18 rows=2 style=resize:both>$line2[3]</textarea></td>
				<td ><input type=text value='$line2[4]' name='link_$n' size=16></td>
				<td><input type=text value='$n' name='number_$n' size=3></td>
				<td ><button class=b2 type=submit name=up value=$n><img src=img/up.png  alt=вверх title=вверх ></button>&nbsp;&nbsp;
				<button class=b2 type=submit name=down value=$n><img src=img/down.png  alt=вниз title=вниз ></button></td>
				<td style='text-align:center;'><a onclick=\"return confirm('Вы хотите удалить это фото?')\" href=red.php?id=$_GET[id]&c=$_GET[c]&page=$_GET[page]&ind=$_GET[ind]&op=1&del=$line2[1]><img style='vertical-align: middle;' src=img/del.png  alt=удалить title=удалить></a></td></tr>
				";
				
				$n++;
			} 
			echo '</table>'; 
			
			
		}
		echo '<br /><br /><br /></form>';
	}
	
	if($_GET['op']==2)
	{
		//из категории
		if($text[1]!="")
		{
			$file=file("../upload/gs_foto/db/cat/$text[1]");
			$f=fopen("../upload/gs_foto/db/cat/$text[1]","w");
			foreach($file as $line)
            {
				$line=trim($line);
				if($line==$_GET['id']) continue;
				fwrite($f,$line."\r\n");
			}
			fclose($f);
		}
		//foto
		$file=file("../upload/gs_foto/db/id_foto/".$_GET['id']); $line_line=array();
		foreach($file as $line)
		{
			$line=trim($line);$line_line=explode('*:*',$line);
			unlink("../upload/gs_foto/$line_line[1]");
			@unlink('../upload/gs_foto/'.str_replace(".","_thumb.",$line_line[1]));
		}
		unlink("../upload/gs_foto/db/id_foto/".$_GET['id']);
		@unlink("../upload/gs_foto/pict/".$_GET['id'].".png");
		@unlink("../upload/gs_foto/set/".$_GET['id']);
		//статья
		unlink("../upload/gs_foto/db/news/".$_GET['id']);
		
		
		echo "<meta http-equiv=refresh content='0; url=admin2.php?c=$_GET[c]&page=$_GET[page]&ind=$_GET[ind]'>";
		exit();
	}
	
?>

</div>
</body>
</html>